#
# spec file for package python-async_timeout
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  test
%define         skip_python2 1
%{!?license:    %global license %doc}
Name:           python-async_timeout
Version:        3.0.0
Release:        lp152.3.3.1
Summary:        Timeout context manager for asyncio programs
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/aio-libs/async_timeout/
Source:         https://files.pythonhosted.org/packages/source/a/async_timeout/async-timeout-%{version}.tar.gz
BuildRequires:  %{python_module devel >= 3.5.3}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%ifpython3
Provides:       python3-async-timeout = %version
Obsoletes:      python3-async-timeout < %version
%endif

%python_subpackages

%description
This provides an asyncio-compatible timeout context manager.

%prep
%setup -q -n async-timeout-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root)
%doc CHANGES.rst README.rst
%if 0%{?sle_version} > 120200 || 0%{?suse_version} > 1320
%license LICENSE
%else
%doc LICENSE
%endif
%{python_sitelib}/*

%changelog
* Mon Feb  8 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Include in SLE-15 (bsc#1176785, jsc#ECO-3105, jsc#PM-2352)
* Mon Jun 25 2018 adrian@suse.de
- update to 3.0.0:
  * Drop Python 3.4, the minimal supported version is Python 3.5.3
  * Provide type annotations
* Mon Mar 26 2018 tbechtold@suse.com
- rename package to python-async_timeout to match pypi name
- update to 2.0.1:
  * Fix ``PendingDeprecationWarning`` on Python 3.7 (#33)
* Sun Oct 22 2017 aloisio@gmx.com
- Update to version 2.0.0
  * Changed timeout <= 0 behaviour
    + Backward incompatibility change, prior this version 0 was
    shortcut for None
    + when timeout <= 0 TimeoutError raised faster
* Tue Sep 12 2017 aloisio@gmx.com
- Update to version 1.4.0
  * Implement `remaining` property (#20)
    + If timeout is not started yet or started unconstrained:
    `remaining` is `None`
    + If timeout is expired: `remaining` is `0.0`
    + All others: roughly amount of time before `TimeoutError` is triggered
* Fri Sep  8 2017 toddrme2178@gmail.com
- Fix building
- Remove skip_python3 for python < 3.4, the package already
  requires python >= 3.4.
* Thu Aug 24 2017 sebix+novell.com@sebix.at
- initial package
